Skip to main content
POST
Search project files (text)

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, UUID, or domain that identifies the project.

Body

application/json
query
string
required

Search query (text or regex pattern)

pattern
string

File path pattern filter (for example, *.tsx).

is_regex
boolean

Treat query as regex (default: false)

case_sensitive
boolean

Case sensitive search (default: false)

max_results
integer

Maximum matching files, from 1 to 100 (default: 50). Limits files, not lines.

Required range: 1 <= x <= 100
maxResults
integer

Compatibility alias for max_results. Maximum matching files, from 1 to 100 (default: 50). Limits files, not lines.

Required range: 1 <= x <= 100

Response

Search results

results
object[]
required

Matching files visible to the caller.

total_files
number
required

Number of matching files returned, after access filtering and the matching-file limit.